#include "../../manic.h"
#include "keyboard.h"
#include "common.h"
#include "init.h"

//        BEGIN_COLOR_DEPTH_LIST
//                COLOR_DEPTH8
//        END_COLOR_DEPTH_LIST

void
mm_gfx_init (void)
{
  int scale = DoubleSize ? 2 : 1;
  scrnwidth = 320;
  scrnheight = 240;
  xoffset = (scrnwidth - 256) / 2;
  yoffset = (scrnheight - 192) / 2;

  allegro_init ();
  install_keyboard ();
  set_gfx_mode (GFX_AUTODETECT, scrnwidth * scale, scrnheight * scale, 0, 0);
  buffer = create_bitmap (SCREEN_W, SCREEN_H);
}
