#undef EXTERN
#ifdef __DEFINE_MISC_VARS
# define EXTERN
#else
# define EXTERN extern
#endif

#define TEXTLIMIT 8

typedef struct Scroll_t
{
  int delay;
  const char *text[TEXTLIMIT];
}
Scroll_t;

EXTERN BYTE map[20][512];
EXTERN BYTE title[20][33];
EXTERN colour_t BG[20];
EXTERN scenery_t PLAT1[20];
EXTERN scenery_t PLAT2[20];
EXTERN scenery_t WALL[20];
EXTERN scenery_t CRUMB[20];
EXTERN scenery_t KILL1[20];
EXTERN scenery_t KILL2[20];
EXTERN BYTE BORDER[20];
EXTERN coords_t WILLYs[20];
EXTERN BYTE WILLYsd[20];

EXTERN struct
{
  scenery_t s;
  coords_t pos;
  BYTE d, l;
}
CONV[20];

EXTERN struct {
  struct {
    coords_t pos;
    BYTE s;
  } key[5];
  BYTE gfx;
}
KEY[20];

EXTERN switch_t SWITCH[20][2];

EXTERN struct
{
  coords_t pos;
  BYTE gfx;
}
EXIT[20];

EXTERN BYTE AIR[20];
EXTERN robo_t HROBO[20][4], VROBO[20][4];

extern const coords_t SKYp[3][4];
extern const char SCROLLtext[];
extern const struct Scroll_t EndText[];
extern const int EndTextLen;
